Skip to main content
GET
/
investors
/
{investor_id}
/
cash-management
/
activity
Get the unified activity feed
curl --request GET \
  --url https://api.bluumfinance.com/v1/investors/{investor_id}/cash-management/activity \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "url": "<string>",
  "has_more": true,
  "data": [
    {
      "activity_id": "<string>",
      "type": "sweep_completed",
      "currency": "<string>",
      "amount": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

investor_id
string
required
Example:

"inv_01j9x8m2k7qpzwv3t5r6y8n0ab"

Query Parameters

currency
string
limit
integer
default:50

Maximum number of records to return (1–100, default 50).

Required range: 1 <= x <= 100
offset
integer
default:0

Number of records to skip for pagination.

Required range: x >= 0

Response

200 - application/json

Activity feed

object
string
Example:

"list"

url
string
has_more
boolean
data
object[]